unit DDipole1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TDDipole = class(TForm)
    Button1: TButton;
    Edit1: TEdit;
    Edit2: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DDipole: TDDipole;

implementation

{$R *.DFM}

procedure TDDipole.Button1Click(Sender: TObject);
var
MHz : real;
Length : real;

begin
    MHz := StrToFloat(Edit1.text);
    Length := 468/Mhz;
    Edit2.Text := FloatToStr(Length);
end;

end.
